Inventor .idw dosyasını otomatik PDF’e çevirme kodu

Inventor .idw mevcut çizim dosyasının yolunu temel alan bir PDF klasörüne hızlı bir şekilde kaydetmek için kullanabilirsiniz. Ayrıca, revizyon numarasını PDF dosya adına veya başka uzantılar ekleyebilirsiniz

PDF’nin her bir sayfasını tek tek kaydeden başka bir varyasyon 1

‘——start of iLogic——- oPath = ThisDoc.Path oFileName = ThisDoc.FileName(False) ‘without extension oRevNum = iProperties.Value(“Project”, “Revision Number”) oPDFAddIn = ThisApplication.ApplicationAddIns.ItemById _ (“{0AC6FD96-2F4D-42CE-8BE0-8AEA580399E4}”) oDocument = ThisApplication.ActiveDocument oContext = ThisApplication.TransientObjects.CreateTranslationContext oContext.Type = IOMechanismEnum.kFileBrowseIOMechanism oOptions = ThisApplication.TransientObjects.CreateNameValueMap oDataMedium = ThisApplication.TransientObjects.CreateDataMedium If oPDFAddIn.HasSaveCopyAsOptions(oDataMedium, oContext, oOptions) Then oOptions.Value(“All_Color_AS_Black”) = 1 oOptions.Value(“Remove_Line_Weights”) = 1 oOptions.Value(“Vector_Resolution”) = 400 oOptions.Value(“Sheet_Range”) = Inventor.PrintRangeEnum.kPrintAllSheets ‘oOptions.Value(“Custom_Begin_Sheet”) = 2 ‘oOptions.Value(“Custom_End_Sheet”) = 4 End If ‘get PDF target folder path oFolder = Left(oPath, InStrRev(oPath, “\”)) & “PDF” ‘Check for the PDF folder and create it if it does not exist If Not System.IO.Directory.Exists(oFolder) Then System.IO.Directory.CreateDirectory(oFolder) End If ‘Set the PDF target file name oDataMedium.FileName = oFolder & “\” & oFileName & _ ” Rev” & oRevNum & “.pdf” ‘Publish document oPDFAddIn.SaveCopyAs(oDocument, oContext, oOptions, oDataMedium) ‘——end of iLogic——-


Kaynak: http://inventortrenches.blogspot.com

PDF’nin her bir sayfasını tek tek kaydeden başka bir varyasyon 2

‘——start of iLogic——- oPath = ThisDoc.Path oFileName = ThisDoc.FileName(False) ‘without extension oPDFAddIn = ThisApplication.ApplicationAddIns.ItemById _ (“{0AC6FD96-2F4D-42CE-8BE0-8AEA580399E4}”) oDocument = ThisApplication.ActiveDocument oContext = ThisApplication.TransientObjects.CreateTranslationContext oContext.Type = IOMechanismEnum.kFileBrowseIOMechanism oOptions = ThisApplication.TransientObjects.CreateNameValueMap oDataMedium = ThisApplication.TransientObjects.CreateDataMedium ‘Define the drawing Dim oDrawing As DrawingDocument oDrawing = ThisDoc.Document Dim oSheet As Sheet Dim lPos As Long Dim rPos As Long Dim sLen As Long Dim sSheetName As String Dim iSheetNumber As Integer ‘step through each drawing sheet For Each oSheet In oDrawing.Sheets ‘find the seperator in the sheet name:number lPos = InStr(oSheet.Name, “:”) ‘find the number of characters in the sheet name sLen = Len(oSheet.Name) ‘find the sheet name sSheetName = Left(oSheet.Name, lPos -1) ‘find the sheet number iSheetNumber = Right(oSheet.Name, sLen -lPos) ‘set PDF Options If oPDFAddIn.HasSaveCopyAsOptions(oDataMedium, oContext, oOptions) Then oOptions.Value(“All_Color_AS_Black”) = 1 oOptions.Value(“Remove_Line_Weights”) = 1 oOptions.Value(“Vector_Resolution”) = 400 oOptions.Value(“Sheet_Range”) = Inventor.PrintRangeEnum.kPrintSheetRange oOptions.Value(“Custom_Begin_Sheet”) = iSheetNumber oOptions.Value(“Custom_End_Sheet”) = iSheetNumber End If ‘get PDF target folder path oFolder = Left(oPath, InStrRev(oPath, “\”)) & “PDF” ‘Check for the PDF folder and create it if it does not exist If Not System.IO.Directory.Exists(oFolder) Then System.IO.Directory.CreateDirectory(oFolder) End If ‘Set the PDF target file name oDataMedium.FileName = oFolder & “\” & oFileName & ” ” & sSheetName & ” ” & iSheetNumber & “.pdf” ‘Publish document oPDFAddIn.SaveCopyAs(oDocument, oContext, oOptions, oDataMedium) Next ‘——end of iLogic——-


Kaynak: http://inventortrenches.blogspot.com

Freze tezgahı devir sayısı ve ilerleme hesaplamaları

Hüseyin Sümer hakkında 73 makale
Chemical and Mechanical engineer. Entrepreneur. Passionate about, Technology and Research.

İlk yorum yapan olun